libcdr::CDRCubicBezierToElement Class Reference documentation

libcdr::CDRCubicBezierToElement Class Reference
Inheritance diagram for libcdr::CDRCubicBezierToElement:

## Public Member Functions
| CDRCubicBezierToElement (double x1, double y1, double x2, double y2, double x, double y)
| ~CDRCubicBezierToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ CDRCubicBezierToElement()

libcdr::CDRCubicBezierToElement::CDRCubicBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y )
| inline

## ◆ ~CDRCubicBezierToElement()

libcdr::CDRCubicBezierToElement::~CDRCubicBezierToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

std::unique_ptr< CDRPathElement > libcdr::CDRCubicBezierToElement::clone | ( |  | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [1/2]

void libcdr::CDRCubicBezierToElement::transform | ( | const CDRTransform & | trafo | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRCubicBezierToElement::transform | ( | const CDRTransforms & | trafos | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ writeOut()

void libcdr::CDRCubicBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## ◆ m_x

double libcdr::CDRCubicBezierToElement::m_x
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

## ◆ m_x1

double libcdr::CDRCubicBezierToElement::m_x1
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

## ◆ m_x2

double libcdr::CDRCubicBezierToElement::m_x2
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

## ◆ m_y

double libcdr::CDRCubicBezierToElement::m_y
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

## ◆ m_y1

double libcdr::CDRCubicBezierToElement::m_y1
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

## ◆ m_y2

double libcdr::CDRCubicBezierToElement::m_y2
| private

Referenced by CDRCubicBezierToElement(), clone(), transform(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp